GNU bug report logs - #37624
Add how to create a runit service in step 5 of binary installation manual

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Foxmean <foxmean@HIDDEN>; dated Fri, 4 Oct 2019 15:48:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 37624 <at> debbugs.gnu.org:


Received: (at 37624) by debbugs.gnu.org; 12 Oct 2019 19:47:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 12 15:47:31 2019
Received: from localhost ([127.0.0.1]:34254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJNMQ-0002Uz-UY
	for submit <at> debbugs.gnu.org; Sat, 12 Oct 2019 15:47:31 -0400
Received: from mail-40135.protonmail.ch ([185.70.40.135]:17030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <foxmean@HIDDEN>) id 1iJN6t-0007c8-Ob
 for 37624 <at> debbugs.gnu.org; Sat, 12 Oct 2019 15:31:28 -0400
Date: Sat, 12 Oct 2019 19:31:18 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1570908682;
 bh=le+pkWFxNlbHgVvgcAqs2QD2dNwWD2l8OczALnMwIm0=;
 h=Date:To:From:Reply-To:Subject:Feedback-ID:From;
 b=nEzshsf4VgKFEtcADJjwt/xG09PU9T8EvQLEkEwmKhQSBMy2TdLLQSeJ85Wj+zt31
 S0uLQqgjsx5b1XAGzh7UYlcQQCD1SWk/ANaK6rlj2ISFdmZaFehQAWn7/+lVvZjRpO
 FIjjubup1T/4erLaJ9KBknyR3K++3YXu7JfU9wLc=
To: 37624 <at> debbugs.gnu.org
From: Foxmean <foxmean@HIDDEN>
Subject: Try to add Runit daemon setup in documentation (install guix in
 existing GNU/Linux)
Message-ID: <fsX2IBFeHzIKtds1QwumVxUXJNDe4OCZSybGOsxSQ-DCj4L2VQRI8HskhWehqrePF4R90NCD508wiUub085bSeKRl20RD5GbHxFXXJYNmrY=@protonmail.com>
Feedback-ID: FpppPuIkCwkv58OuWulry35wsu631o7YjnbjrFFOEd3tz3N_Sc_1bX-SDewLEPbKiQZi_Juo9kiVjE5jBTvWLg==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="b1_59af2921e9e4f57bfa3a6cfa63968851"
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE
 autolearn=ham autolearn_force=no version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37624
X-Mailman-Approved-At: Sat, 12 Oct 2019 15:47:28 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Foxmean <foxmean@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.

--b1_59af2921e9e4f57bfa3a6cfa63968851
Content-Type: multipart/alternative;
	boundary="b2_59af2921e9e4f57bfa3a6cfa63968851"

--b2_59af2921e9e4f57bfa3a6cfa63968851
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: base64

U29ycnkgZm9yIG5vbi1hdHRhY2ggZmlsZSBlbWFpbC4KClNlbnQgd2l0aCBQcm90b25NYWlsIFNl
Y3VyZSBFbWFpbC4=


--b2_59af2921e9e4f57bfa3a6cfa63968851
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: base64

U29ycnkgZm9yIG5vbi1hdHRhY2ggZmlsZSBlbWFpbC48YnI+PGJyPlNlbnQgd2l0aCBQcm90b25N
YWlsIFNlY3VyZSBFbWFpbC48YnI+



--b2_59af2921e9e4f57bfa3a6cfa63968851--

--b1_59af2921e9e4f57bfa3a6cfa63968851
Content-Type: text/x-patch; name="0001-Add-Runit-init-system-in-guix-installation.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-Add-Runit-init-system-in-guix-installation.patch

RnJvbSAwZmY3NzhmZjVkN2QxN2ZlZjc2YjVhYmMxNGYyNzQxNzNmZDI2M2I4IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBQYXRob21wb25nIEt3YW5ndG9uZyA8Zm94bWVhbkBwcm90b25t
YWlsLmNvbT4KRGF0ZTogU3VuLCAxMyBPY3QgMjAxOSAwMToyNDo0OCArMDcwMApTdWJqZWN0OiBb
UEFUQ0hdIEFkZCBSdW5pdCBpbml0IHN5c3RlbSBpbiBndWl4IGluc3RhbGxhdGlvbgoKLS0tCiBk
b2MvZ3VpeC50ZXhpIHwgMjUgKysrKysrKysrKysrKysrKysrKysrKysrKwogMSBmaWxlIGNoYW5n
ZWQsIDI1IGluc2VydGlvbnMoKykKCmRpZmYgLS1naXQgYS9kb2MvZ3VpeC50ZXhpIGIvZG9jL2d1
aXgudGV4aQppbmRleCA2NzAzYzI3NTZjLi45OTA2ODExMWJiIDEwMDY0NAotLS0gYS9kb2MvZ3Vp
eC50ZXhpCisrKyBiL2RvYy9ndWl4LnRleGkKQEAgLTY0OSw2ICs2NDksMzEgQEAgSWYgeW91ciBo
b3N0IGRpc3RybyB1c2VzIHRoZSBVcHN0YXJ0IGluaXQgc3lzdGVtOgogIyBzdGFydCBndWl4LWRh
ZW1vbgogQGVuZCBleGFtcGxlCiAKK0lmIHlvdXIgaG9zdCBkaXN0cm8gdXNlIHRoIFJ1bml0IGlu
aXQgc3lzdGVtOgorCitAZXhhbXBsZQorIyBta2RpciAvZXRjL3N2L2d1aXgtZGFlbW9uCitAZW5k
IGV4YW1wbGUKKworVGhlbiBjcmVhdGUgZmlsZSAvZXRjL3N2L2d1aXgtZGFlbW9uL3J1biB3aXRo
IHlvdXIgZmF2b3JpdGUgdGV4dCBlZGl0b3IgZS5nLiBlbWFjcy4KKworQGV4YW1wbGUKKyMgZW1h
Y3MgL2V0Yy9zdi9ndWl4LWRhZW1vbi9ydW4KK0BlbmQgZXhhbXBsZQorCitBbmQgYWRkIHRoaXMg
dHdvIGxpbmUgb2YgY29kZSBpbiB0aGUgZmlsZS4KKworQGV4YW1wbGUKKyMhL2Jpbi9zaAorZXhl
YyAvdmFyL2d1aXgvcHJvZmlsZXMvcGVyLXVzZXIvcm9vdC9jdXJyZW50LWd1aXgvYmluL2d1aXgt
ZGFlbW9uIC0tYnVpbGQtdXNlcnMtZ3JvdXA9Z3VpeGJ1aWxkCitAZW5kIGV4YW1wbGUKKworTm93
LCB5b3UgY2FuIGVuYWJsZSBhbmQgc3RhcnQgZ3VpeC1kYWVtb24gc2VydmljZSB3aXRoOgorCitA
ZXhhbXBsZQorPiAjIGxuIC1zIC9ldGMvc3YvZ3VpeC1kYWVtb24gL3Zhci9zZXJ2aWNlLyAmJiBz
diB1cCBndWl4LWRhZW1vbgorQGVuZCBleGFtcGxlCisKIE90aGVyd2lzZSwgeW91IGNhbiBzdGls
bCBzdGFydCB0aGUgZGFlbW9uIG1hbnVhbGx5IHdpdGg6CiAKIEBleGFtcGxlCi0tIAoyLjIzLjAK
Cg==


--b1_59af2921e9e4f57bfa3a6cfa63968851--





Information forwarded to guix-patches@HIDDEN:
bug#37624; Package guix-patches. Full text available.

Message received at 37624 <at> debbugs.gnu.org:


Received: (at 37624) by debbugs.gnu.org; 12 Oct 2019 19:47:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 12 15:47:31 2019
Received: from localhost ([127.0.0.1]:34252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJNMP-0002Uw-Lb
	for submit <at> debbugs.gnu.org; Sat, 12 Oct 2019 15:47:30 -0400
Received: from mail-40135.protonmail.ch ([185.70.40.135]:28864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <foxmean@HIDDEN>) id 1iJN65-0006n6-4G
 for 37624 <at> debbugs.gnu.org; Sat, 12 Oct 2019 15:30:37 -0400
Date: Sat, 12 Oct 2019 19:30:26 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1570908630;
 bh=H6JnzHuILaAkgSOj61UkRdhOtswmz2TqfxJX6EHtYcY=;
 h=Date:To:From:Reply-To:Subject:Feedback-ID:From;
 b=KA7gDlcKu89ZXsNZYOUGAREoZqLrFCK12MncDlnGpuJ7mUO0R5qmY47rnKFsHrSM8
 +r5zzKh5+GbN+xmFsrkL2/gI8LP0DBX3zmlagA7kr+9/CcFPJ5yF21XE+IPmij3pYo
 N77posce2+OCMJ3Lh/1uySMrpbFYkOW3ItMZPmSk=
To: 37624 <37624 <at> debbugs.gnu.org>
From: Foxmean <foxmean@HIDDEN>
Subject: Try to add Runit daemon setup in manual (install guix in existing
 GNU/Linux)
Message-ID: <GNei9rCs86Wl_L9GCUEfU_grZaau_EtBraoGsCLdjA520Skzqu8S7l7tkqghffIYsUzd1N454XCCqgUSYgQNaCr7zeucpzdX9g3iW3dfgi8=@protonmail.com>
Feedback-ID: FpppPuIkCwkv58OuWulry35wsu631o7YjnbjrFFOEd3tz3N_Sc_1bX-SDewLEPbKiQZi_Juo9kiVjE5jBTvWLg==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="b1_c045a6f1c49a03ccaf35937cb6b74d5d"
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE
 autolearn=ham autolearn_force=no version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37624
X-Mailman-Approved-At: Sat, 12 Oct 2019 15:47:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Foxmean <foxmean@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.

--b1_c045a6f1c49a03ccaf35937cb6b74d5d
Content-Type: multipart/alternative;
	boundary="b2_c045a6f1c49a03ccaf35937cb6b74d5d"

--b2_c045a6f1c49a03ccaf35937cb6b74d5d
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: base64

SSBob3BlIHRoaXMgY2FuIGhlbHAgeW91LCBldmVuIHNvIGEgbGl0dGxlLgoKUHJvdG9uTWFpbOOD
ouODkOOCpOODq+OBi+OCiemAgeS/oQoKLS0t5YWD44Gu44Oh44OD44K744O844K4LS0tCgo+IFBy
b3Rvbk1haWzjg6Ljg5DjgqTjg6vjgYvjgonpgIHkv6E=


--b2_c045a6f1c49a03ccaf35937cb6b74d5d
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: base64

SSBob3BlIHRoaXMgY2FuIGhlbHAgeW91LCBldmVuIHNvIGEgbGl0dGxlLjxicj48YnI+PGJyPlBy
b3Rvbk1haWzjg6Ljg5DjgqTjg6vjgYvjgonpgIHkv6E8YnI+PGJyPjxicj48YnI+LS0t5YWD44Gu
44Oh44OD44K744O844K4LS0tPGJsb2NrcXVvdGUgY2xhc3M9InByb3Rvbm1haWxfcXVvdGUiPjxi
cj48YnI+PGJyPjxicj5Qcm90b25NYWls44Oi44OQ44Kk44Or44GL44KJ6YCB5L+hPGJyPjxicj48
YnI+PC9kaXY+



--b2_c045a6f1c49a03ccaf35937cb6b74d5d--

--b1_c045a6f1c49a03ccaf35937cb6b74d5d
Content-Type: text/x-patch; name="0001-Add-Runit-init-system-in-guix-installation.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-Add-Runit-init-system-in-guix-installation.patch

RnJvbSAwZmY3NzhmZjVkN2QxN2ZlZjc2YjVhYmMxNGYyNzQxNzNmZDI2M2I4IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBQYXRob21wb25nIEt3YW5ndG9uZyA8Zm94bWVhbkBwcm90b25t
YWlsLmNvbT4KRGF0ZTogU3VuLCAxMyBPY3QgMjAxOSAwMToyNDo0OCArMDcwMApTdWJqZWN0OiBb
UEFUQ0hdIEFkZCBSdW5pdCBpbml0IHN5c3RlbSBpbiBndWl4IGluc3RhbGxhdGlvbgoKLS0tCiBk
b2MvZ3VpeC50ZXhpIHwgMjUgKysrKysrKysrKysrKysrKysrKysrKysrKwogMSBmaWxlIGNoYW5n
ZWQsIDI1IGluc2VydGlvbnMoKykKCmRpZmYgLS1naXQgYS9kb2MvZ3VpeC50ZXhpIGIvZG9jL2d1
aXgudGV4aQppbmRleCA2NzAzYzI3NTZjLi45OTA2ODExMWJiIDEwMDY0NAotLS0gYS9kb2MvZ3Vp
eC50ZXhpCisrKyBiL2RvYy9ndWl4LnRleGkKQEAgLTY0OSw2ICs2NDksMzEgQEAgSWYgeW91ciBo
b3N0IGRpc3RybyB1c2VzIHRoZSBVcHN0YXJ0IGluaXQgc3lzdGVtOgogIyBzdGFydCBndWl4LWRh
ZW1vbgogQGVuZCBleGFtcGxlCiAKK0lmIHlvdXIgaG9zdCBkaXN0cm8gdXNlIHRoIFJ1bml0IGlu
aXQgc3lzdGVtOgorCitAZXhhbXBsZQorIyBta2RpciAvZXRjL3N2L2d1aXgtZGFlbW9uCitAZW5k
IGV4YW1wbGUKKworVGhlbiBjcmVhdGUgZmlsZSAvZXRjL3N2L2d1aXgtZGFlbW9uL3J1biB3aXRo
IHlvdXIgZmF2b3JpdGUgdGV4dCBlZGl0b3IgZS5nLiBlbWFjcy4KKworQGV4YW1wbGUKKyMgZW1h
Y3MgL2V0Yy9zdi9ndWl4LWRhZW1vbi9ydW4KK0BlbmQgZXhhbXBsZQorCitBbmQgYWRkIHRoaXMg
dHdvIGxpbmUgb2YgY29kZSBpbiB0aGUgZmlsZS4KKworQGV4YW1wbGUKKyMhL2Jpbi9zaAorZXhl
YyAvdmFyL2d1aXgvcHJvZmlsZXMvcGVyLXVzZXIvcm9vdC9jdXJyZW50LWd1aXgvYmluL2d1aXgt
ZGFlbW9uIC0tYnVpbGQtdXNlcnMtZ3JvdXA9Z3VpeGJ1aWxkCitAZW5kIGV4YW1wbGUKKworTm93
LCB5b3UgY2FuIGVuYWJsZSBhbmQgc3RhcnQgZ3VpeC1kYWVtb24gc2VydmljZSB3aXRoOgorCitA
ZXhhbXBsZQorPiAjIGxuIC1zIC9ldGMvc3YvZ3VpeC1kYWVtb24gL3Zhci9zZXJ2aWNlLyAmJiBz
diB1cCBndWl4LWRhZW1vbgorQGVuZCBleGFtcGxlCisKIE90aGVyd2lzZSwgeW91IGNhbiBzdGls
bCBzdGFydCB0aGUgZGFlbW9uIG1hbnVhbGx5IHdpdGg6CiAKIEBleGFtcGxlCi0tIAoyLjIzLjAK
Cg==


--b1_c045a6f1c49a03ccaf35937cb6b74d5d--





Information forwarded to guix-patches@HIDDEN:
bug#37624; Package guix-patches. Full text available.

Message received at 37624 <at> debbugs.gnu.org:


Received: (at 37624) by debbugs.gnu.org; 5 Oct 2019 07:48:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 03:48:09 2019
Received: from localhost ([127.0.0.1]:43646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGenK-0003hc-G0
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 03:48:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1iGenH-0003h3-V7
 for 37624 <at> debbugs.gnu.org; Sat, 05 Oct 2019 03:48:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35255)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1iGenC-0006pi-JV; Sat, 05 Oct 2019 03:47:54 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=53120
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1iGenB-0008KY-EN; Sat, 05 Oct 2019 03:47:54 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Foxmean <foxmean@HIDDEN>
Subject: Re: [bug#37624] Add how to create a runit service in step 5 of binary
 installation manual
References: <CX5xwH8x3VzW4l64gLl6gvrHPRJ8QIxdrkUf9Qkeq6lyg8E3pBHU06JgMqz_lUwCh0eTl65iXHNnDavOhB0QycJlfG6I9nbez78iq37h6X0=@protonmail.com>
Date: Sat, 05 Oct 2019 09:47:51 +0200
In-Reply-To: <CX5xwH8x3VzW4l64gLl6gvrHPRJ8QIxdrkUf9Qkeq6lyg8E3pBHU06JgMqz_lUwCh0eTl65iXHNnDavOhB0QycJlfG6I9nbez78iq37h6X0=@protonmail.com>
 (foxmean@HIDDEN's message of "Fri, 04 Oct 2019 15:38:10
 +0000")
Message-ID: <87r23ry6oo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37624
Cc: 37624 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Foxmean writes:

Hello Foxmean,

> I would like to add a patch in
> https://guix.gnu.org/manual/en/html_node/Binary-Installation.html#Binary-=
Installation
> -> step 5 Run the daemon, and set it to automatically start on boot.

That's great!

> If your host distro uses the Runit system:
>
> <code>
> # mkdir /etc/sv/guix-daemon
> </code>

Okay.  As you will see, <code> is coded as @example ... @end example.

> Then create file /etc/sv/guix-daemon/run with your favorite text editor e=
.g. emacs.
>
> <code>
> # emacs /etc/sv/guix-daemon/run
> </code>
>
> And add this two line of code in the file.
>
> <code>
> #!/bin/sh
> exec /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --buil=
d-users-group=3Dguixbuild
> </code>

I would suggest you change this bit to resemble the other init systems:
this file to the repository for people to simply cp.  You will have to
replace `/var' directory with the configurable `@localstatedir@'.

> Now, you can enable and start guix-daemon service with:
>
> <code>
> # ln -s /etc/sv/guix-daemon /var/service/ && sv up guix-daemon
> </code>
>
> I would like to add it in etc and the manual at doc/guix.texi updated.
> How can I contribute?

You will need to create a patch to doc/guix.texi.  You first need to
clone the guix git archive.

Have a look at the `Contributing' section in the manual, especially
https://guix.gnu.org/manual/en/html_node/Building-from-Git.html.

Edit doc/guix.texi, check the result by building the manual:

    make info
    <visit doc/guix.info>

For the rest, follow the pattern used for the file

    etc/guix-daemon.service.in

do not forget to add your file to

    etc/local.mk

Commit your changes to git and reply to this bug with your patch.  Feel
free to ask if you have any questions.

Greetings,
janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to guix-patches@HIDDEN:
bug#37624; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Oct 2019 15:47:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 04 11:47:26 2019
Received: from localhost ([127.0.0.1]:43371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGPnh-00018e-DP
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 11:47:26 -0400
Received: from lists.gnu.org ([209.51.188.17]:32807)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <foxmean@HIDDEN>) id 1iGPf2-0000vR-E2
 for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 11:38:28 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40007)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <foxmean@HIDDEN>) id 1iGPf0-0007jx-SO
 for guix-patches@HIDDEN; Fri, 04 Oct 2019 11:38:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 HTML_MESSAGE,RCVD_IN_DNSWL_LOW,SPOOFED_FREEMAIL autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <foxmean@HIDDEN>) id 1iGPez-0007Bg-4x
 for guix-patches@HIDDEN; Fri, 04 Oct 2019 11:38:26 -0400
Received: from mail-40130.protonmail.ch ([185.70.40.130]:50718)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <foxmean@HIDDEN>)
 id 1iGPey-0007A4-Gz
 for guix-patches@HIDDEN; Fri, 04 Oct 2019 11:38:25 -0400
Date: Fri, 04 Oct 2019 15:38:10 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1570203499;
 bh=5Oj4fG4AaHmAxN+rKEOzcO2PmgZeQ7eC5UqwrngmxvQ=;
 h=Date:To:From:Reply-To:Subject:Feedback-ID:From;
 b=g0LcOvBpT9OaJ7NGIKinE8MTqk9SXXX7duT93eeYVPkgAwZAkMN9GjmarzEKXwV6x
 cXnssAjruW3zB+9ji62Sr+730JUEiVfMQL3sPCLLu+4HEuvYVIVzQGQfVmBzKPVOJj
 FXw4X5cYjvyKhnUan+sjpxG8kUKztpZH01RBHvYI=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: Foxmean <foxmean@HIDDEN>
Subject: Add how to create a runit service in step 5 of binary installation
 manual
Message-ID: <CX5xwH8x3VzW4l64gLl6gvrHPRJ8QIxdrkUf9Qkeq6lyg8E3pBHU06JgMqz_lUwCh0eTl65iXHNnDavOhB0QycJlfG6I9nbez78iq37h6X0=@protonmail.com>
Feedback-ID: FpppPuIkCwkv58OuWulry35wsu631o7YjnbjrFFOEd3tz3N_Sc_1bX-SDewLEPbKiQZi_Juo9kiVjE5jBTvWLg==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="b1_0809d1f096370eea9fc74a6ab1a014f1"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 185.70.40.130
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 04 Oct 2019 11:47:23 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Foxmean <foxmean@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.

--b1_0809d1f096370eea9fc74a6ab1a014f1
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: base64

SSB3b3VsZCBsaWtlIHRvIGFkZCBhIHBhdGNoIGluIGh0dHBzOi8vZ3VpeC5nbnUub3JnL21hbnVh
bC9lbi9odG1sX25vZGUvQmluYXJ5LUluc3RhbGxhdGlvbi5odG1sI0JpbmFyeS1JbnN0YWxsYXRp
b24KLT4gc3RlcCA1IFJ1biB0aGUgZGFlbW9uLCBhbmQgc2V0IGl0IHRvIGF1dG9tYXRpY2FsbHkg
c3RhcnQgb24gYm9vdC4KCklmIHlvdXIgaG9zdCBkaXN0cm8gdXNlcyB0aGUgUnVuaXQgc3lzdGVt
OgoKPGNvZGU+CiMgbWtkaXIgL2V0Yy9zdi9ndWl4LWRhZW1vbgo8L2NvZGU+CgpUaGVuIGNyZWF0
ZSBmaWxlIC9ldGMvc3YvZ3VpeC1kYWVtb24vcnVuIHdpdGggeW91ciBmYXZvcml0ZSB0ZXh0IGVk
aXRvciBlLmcuIGVtYWNzLgoKPGNvZGU+CiMgZW1hY3MgL2V0Yy9zdi9ndWl4LWRhZW1vbi9ydW4K
PC9jb2RlPgoKQW5kIGFkZCB0aGlzIHR3byBsaW5lIG9mIGNvZGUgaW4gdGhlIGZpbGUuCgo8Y29k
ZT4KIyEvYmluL3NoCmV4ZWMgL3Zhci9ndWl4L3Byb2ZpbGVzL3Blci11c2VyL3Jvb3QvY3VycmVu
dC1ndWl4L2Jpbi9ndWl4LWRhZW1vbiAtLWJ1aWxkLXVzZXJzLWdyb3VwPWd1aXhidWlsZAo8L2Nv
ZGU+CgpOb3csIHlvdSBjYW4gZW5hYmxlIGFuZCBzdGFydCBndWl4LWRhZW1vbiBzZXJ2aWNlIHdp
dGg6Cgo8Y29kZT4KIyBsbiAtcyAvZXRjL3N2L2d1aXgtZGFlbW9uIC92YXIvc2VydmljZS8gJiYg
c3YgdXAgZ3VpeC1kYWVtb24KPC9jb2RlPgoKSSB3b3VsZCBsaWtlIHRvIGFkZCBpdCBpbiBldGMg
YW5kIHRoZSBtYW51YWwgYXQgZG9jL2d1aXgudGV4aSB1cGRhdGVkLgpIb3cgY2FuIEkgY29udHJp
YnV0ZT8KClNlbnQgd2l0aCBbUHJvdG9uTWFpbF0oaHR0cHM6Ly9wcm90b25tYWlsLmNvbSkgU2Vj
dXJlIEVtYWlsLg==


--b1_0809d1f096370eea9fc74a6ab1a014f1
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: base64
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--b1_0809d1f096370eea9fc74a6ab1a014f1--





Acknowledgement sent to Foxmean <foxmean@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#37624; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 12 Oct 2019 20:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.